//
//  YHRecordedDetailModel.swift
//  galaxy
//
//  Created by alexzzw on 2024/11/27.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import Foundation
import SmartCodable

class YHRecordedDetailModel: SmartCodable {
    var account: String = ""
    var avatar: String = ""
    var access_num: Int = 0
    var tips: String = ""
    var subject: String = ""
    var recorded_url: String = ""
    var recorded_cover: String = ""
    var goods: [YHLiveGoodsItem] = []
    var recordedVideoCate: [YHRecordedVideoCategoryItem] = []
    var recordedVideoSlice: [YHRecordedVideoSliceItem] = []

    required init() {
    }
}

class YHRecordedVideoCategoryItem: SmartCodable {
    var id: Int = 0
    var name: String = ""

    required init() {
    }
}

class YHRecordedVideoSliceItem: SmartCodable {
    var startSecond: String = ""
    var endSecond: String = ""
    var tag: String = ""
    var index: Int = 0

    required init() {
    }
}
