//
//  YHLiveDetailModel.swift
//  galaxy
//
//  Created by alexzzw on 2024/11/27.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import Foundation
import SmartCodable

class YHLiveDetailModel: SmartCodable {
    var account: String = ""
    var avatar: String = ""
    var hxNickname: String = ""
    var hxUid: String = ""
    var access_num: Int = 0
    var tips: String = ""
    var status: Int = 0
    var roomId: String = ""
    var pullUrl: String = ""
    var goods: [YHLiveGoodsItem] = []

    required init() {
    }
}

class YHLiveGoodsItem: SmartCodable {
    var id: Int = 0
    var name: String = ""
    var image: String = ""
    var description: String = ""
    var price: String = ""
    var linePrice: String = ""
    var sn: String = ""
    var banner: String = ""

    required init() {
    }
}
